This URL gets the list of hosts traffic.
Resource URL
GET /ntbamonitors/{ntbaId}/tophoststraffic? TopN=<TopN> &startTime=<startTime>&endTime=<endTime>&direction=<direction>
Request Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| NTBA monitor id | Number | Yes |
| Number of top rows, default 50. | Number | No |
| Start time in the format: yyyy-MM-dd HH:mm | String | No |
| End time in the format: yyyy-MM-dd HH:mm | String | No |
| Direction: Bidirectional Inbound Outbound | String | No |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Hosts traffic | Array |
Details of hosts traffic:
Field Name | Description | Data Type |
|---|---|---|
| Host IP | String |
| Host id | Number |
| Zone details | String |
| Traffic volume | String |
Example
Request
Response
{"hostsTraffic":[{"
endpointIp":"1.1.1.10",
"hostId":11,
"zone":"Default Inside Zone",
"traffic":"22M"}]
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 4301 | Invalid duration |
2 | 400 | 4302 | Invalid time format |
3 | 400 | 4303 | Start time is greater than end time |
4 | 400 | 4304 | Invalid date format |
5 | 400 | 4305 | Start/End date is not provided |
6 | 400 | 4306 | Invalid NTBA id |